Bug 1331597 - MUMPS does not produce mpich binary rpms for aarch64 epel7
Summary: MUMPS does not produce mpich binary rpms for aarch64 epel7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: MUMPS
Version: epel7
Hardware: aarch64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Antonio
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: epel7aarch64
TreeView+ depends on / blocked
 
Reported: 2016-04-28 23:25 UTC by D. Marlin
Modified: 2016-05-15 02:40 UTC (History)
2 users (show)

Fixed In Version: MUMPS-5.0.1-20.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-15 02:40:25 UTC


Attachments (Terms of Use)

Description D. Marlin 2016-04-28 23:25:23 UTC
Description of problem:

When building MUMPS, mpich is not built for aarch64, ppc64, or ppc64le.  mpich is a build requirement for coin-or-Ipopt, which is also in EPEL7.  Building mpich for aarch64, ppc64, and ppc64le has been enabled in Fedora 24, MUMPS-5.0.1-19.fc24.  Please build MUMPS-5.0.1-19 for EPEL7.


Version-Release number of selected component (if applicable):

MUMPS-5.0.1-18.el7


How reproducible:

consistently


Steps to Reproduce:
1.  On a RHELSA-7.2 host:
    mock -r epel-7-aarch64 MUMPS-5.0.1-18.el7.src.rpm
2.
3.

Actual results:

Fails to produce MUMPS-mpich-*.aarch64.rpm


Expected results:

In addition to current binary RPMs, produce:
   MUMPS-mpich-<VERSION>.aarch64.rpm
   MUMPS-mpich-devel-<VERSION>.aarch64.rpm
   MUMPS-mpich-examples-<VERSION>.aarch64.rpm


Additional info:

The Fedora 24 AArch64 build is in Koji:

   http://arm.koji.fedoraproject.org/koji/buildinfo?buildID=366424

Comment 1 Fedora Update System 2016-04-29 16:26:10 UTC
MUMPS-5.0.1-20.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-24ccca7bd6

Comment 2 Fedora Update System 2016-04-30 04:23:25 UTC
MUMPS-5.0.1-20.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-24ccca7bd6

Comment 3 Fedora Update System 2016-05-15 02:40:23 UTC
MUMPS-5.0.1-20.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.